QGIS Application - Bug report #19838
Cannot select correct features in Virtual Layer
2018-09-13 12:48 PM - Joseph Liam

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:2.18.22 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 27662
Description

| created a virtual layer which contains a copy of features from another layer (be it point, line or polygon) using the expression:

SELECT * FROM "some_layer"

Now when | use the Select Features tool and try to select either one or a group of features, it would select other features which | did not
highlight (as shown in the image provided).

But the selection doesn't seem to be random. When | try to select the same features each time, other features which lie somewhere else
are instead selected. | tried changing the projection CRS but the issue remained.

Related issues:
Related to QGIS Application - Bug report # 14232: select features in a spatia... Closed 2016-02-04

History

#1 - 2018-09-13 02:55 PM - Joseph Liam

A related question had been asked on GIS Stack Exchange:
https://gis.stackexchange.com/questions/261615/selection-feature-acting-weird-on-queried-layer-in-qgis

#2 - 2018-09-13 06:52 PM - Gerhard Spieles

Same issue in Spatialite Views #14232

#3 - 2018-09-13 09:03 PM - Andrea Giudiceandrea

Did you try with QGIS 3.3.0-master?

#4 - 2018-09-14 12:25 PM - Harrissou Santanna
- Status changed from Open to Feedback

Can you try the query with naming the fields you want to add to the virtual layer ? cf

https://docs.qggis.org/testing/en/docs/user _manual/managing data_source/create layers.html#supported-query-language

#5 - 2018-09-15 10:59 AM - Jiirgen Fischer
https://gis.stackexchange.com/questions/261615/selection-feature-acting-weird-on-queried-layer-in-qgis
https://docs.qgis.org/testing/en/docs/user_manual/managing_data_source/create_layers.html#supported-query-language

- Related to Bug report #14232: select features in a spatialite view leads to wrong_results added

#6 - 2018-09-18 11:39 AM - Joseph Liam

Harrissou Santanna wrote:

Can you try the query with naming the fields you want to add to the virtual layer ? cf

https.//docs.qgis.org/testing/en/docs/user_manual/managing_data _source/create layers.html#supported-query-language

Tried quering with naming fields in the expression (e.g. SELECT geometry, fieldName FROM "some_layer"), same result when trying to select features.

#7 - 2018-09-18 11:48 AM - Joseph Liam

Andrea Giudiceandrea wrote:

Did you try with QGIS 3.3.0-master?

It seems to work on QGIS 3.2.0 at least, can't test master at the moment. | was hoping a fix for the LTR version. This is used in a plugin for QGIS 2.18 and

was hoping for a fix until | have the time to port over to QGIS 3:)

#8 - 2018-12-07 02:04 PM - Harrissou Santanna

Is this still valid in 3.4.2?

#9 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#10 - 2019-03-08 10:54 AM - Giovanni Manghi
- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
